RPC.RSTATD(8)

NAME
rpc.rstatd - kernel statistics server

SYNOPSIS
/usr/sbin/rpc.rstatd [INTERFACE]...

DESCRIPTION
rpc.rstatd is a RPC daemon which collects performance statistics from kernel on serving machine. This implementation for the Linux Operating System also returns the number of users logged in on the remote machine if the information is available.

It also allows to specify which network interfaces to include in the packet count. If no interface names are specified packets from all interfaces besides the loopback interface are added up.

The statistics are queried using rup(1) , perfmeter(1) , etc. The rpc.rstatd daemon is normally invoked by inetd(8).

rpc.rstatd uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x.

SEE ALSO
rup(1), rsysinfo(1), uptime(1), inetd(8)

AUTHORS
Adam Migus (amigus@cs.mun.ca), Andreas Klingler (andreas.klingler@cyber-wizard.com) Andreas Mueller (andreas.mueller@othello.ch)